Update Job Step Status

View as Markdown
Update a job step status.

Path parameters

jobstringRequired
namestringRequired
workspacestringRequired

Request

This endpoint expects an object.
statusenumRequired
The new status to set for the job.
status_detailsmap from strings to anyOptional
Optional status details related to the status update.
error_detailsmap from strings to anyOptional
Optional error details related to the status update.

Response

Successful Response
workspacestringformat: "^[\w\-\+.@:]+$"
Workspace identifier
attempt_idstring
Parent attempt ID
idstringRead-only
created_atdatetimeRead-only
created_bystring or nullRead-only
updated_atdatetimeRead-only
updated_bystring or nullRead-only
entity_idstringRead-only
Alias for id for backwards compatibility.
parentstringRead-only
Parent entity ID for nested entities.
db_versionintegerRead-only
Database version of the entity for optimistic locking.
namestringOptionalDefaults to
Entity name within the workspace
projectstringOptional
The name of the project associated with this entity.
configmap from strings to anyOptional
Configuration for the step
statusenumOptionalDefaults to created
Step status
status_detailsmap from strings to anyOptional
Status details
error_detailsmap from strings to anyOptional
Error details if applicable

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error